Debian Bug report logs - #568303
ITP: can-utils -- CAN (Controller Area Network) utilities based on Socket-CAN

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Benedikt Spranger <b.spranger@linutronix.de> (by way of Benedikt Spranger <b.spranger@linutronix.de>)

Date: Wed, 3 Feb 2010 19:09:01 UTC

Owned by: Alexander GQ Gerasiov <gq@debian.org>

Severity: wishlist

Fixed in version can-utils/0.0+git20140227-1

Done: Alexander GQ Gerasiov <gq@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#568303; Package wnpp. (Wed, 03 Feb 2010 19:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Benedikt Spranger <b.spranger@linutronix.de> (by way of Benedikt Spranger <b.spranger@linutronix.de>):
New Bug report received and forwarded. Copy sent to <wnpp@debian.org>. (Wed, 03 Feb 2010 19:09:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Benedikt Spranger <b.spranger@linutronix.de> (by way of Benedikt Spranger <b.spranger@linutronix.de>)
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: RFP: can-utils -- CAN (Controller Area Network) utilities based on Socket-CAN
Date: Wed, 03 Feb 2010 19:03:32 +0100
Package: wnpp
Severity: wishlist


* Package name    : can-utils
  Version         : svn 1112
  Upstream Author : Oliver Hartkopp <socketcan@hartkopp.net>
* URL             : http://developer.berlios.de/projects/socketcan
* License         : GPL-2/BSD, GPL-2+
  Programming Lang: C
  Description     : CAN (Controller Area Network) utilities based on Socket-CAN

Socket-CAN provides an API for CAN devices based on BSD sockets
(http://en.wikipedia.org/wiki/SocketCAN).
This package provides utilities to send and receive single CAN
messages, a CAN-Bus sniffer and other useful tools.
The project have not released a version yet, they are fine with SVN.
Socket-CAN is part of the Linux-Kernel since 2.6.25 and activated in the
Debian Kernel Packages.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568303; Package wnpp. (Wed, 18 Aug 2010 15:54:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Becker <markushx@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 18 Aug 2010 15:54:03 GMT) Full text and rfc822 format available.

Message #10 received at 568303@bugs.debian.org (full text, mbox):

From: Markus Becker <markushx@gmail.com>
To: 568303@bugs.debian.org, socketcan-users@lists.berlios.de
Subject: socketcan utils packaged for Debian
Date: Wed, 18 Aug 2010 17:51:17 +0200
[Message part 1 (text/plain, inline)]
* Package name : socketcan
Version : svn1190
Upstream Author : Oliver Hartkopp <socketcan@hartkopp.net>
* URL : http://developer.berlios.de/projects/socketcan/
* License : GPL-2/BSD, GPL-2+
Description : CAN (Controller Area Network) utilities based on Socket-CAN

A debian/ directory is available at:
http://www.comnets.uni-bremen.de/~mab/can/socketcan_0.0.1+svn1190-1.debian.tar.gz

Sponsor is needed for upload into Debian repositories.

Thanks,
Markus
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568303; Package wnpp. (Thu, 28 Oct 2010 13:57:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Becker <mab@comnets.uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 28 Oct 2010 13:57:06 GMT) Full text and rfc822 format available.

Message #15 received at 568303@bugs.debian.org (full text, mbox):

From: Markus Becker <mab@comnets.uni-bremen.de>
To: 568303@bugs.debian.org
Subject: ITP: socketcan-utils (now on alioth collab-maint)
Date: Thu, 28 Oct 2010 15:49:57 +0200
Hi,

the packaging of socketcan-utils is now on alioth's collab-maint:

git://git.debian.org/git/collab-maint/socketcan-utils.git

updated to svn revision 1199.

BR,
Markus Becker

------------------------------------------------
| Dipl.-Ing. Markus Becker
| Communication Networks
| Mobile Research Center
| TZI - Center for Computing Technologies
| University Bremen
| Germany
------------------------------------------------
| mailto: mab@comnets.uni-bremen.de
| building: NW1 room: N2260
------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568303; Package wnpp. (Wed, 11 Apr 2012 13:27:21 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Becker <mab@comnets.uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 11 Apr 2012 13:27:23 GMT) Full text and rfc822 format available.

Message #20 received at 568303@bugs.debian.org (full text, mbox):

From: Markus Becker <mab@comnets.uni-bremen.de>
To: 568303@bugs.debian.org
Cc: linux-can@vger.kernel.org
Subject: ITP: can-utils Debian package
Date: Wed, 11 Apr 2012 15:09:12 +0200
Hi,

after a long absence, I have updated the Debian packages of socketCAN.

Now there are two packages (for the moment) can-utils and can-modules, which 
are based on the gitorious repositories of the same name. The package name has 
changed from socketcan-utils to can-utils to reflect the current layout on 
gitorious.


* can-utils is the main package with the executables.
The gitweb of Debian for can-utils is now at:
http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary

The following should create and install a Debian package of can-utils for you:
<shell>
git clone git://anonscm.debian.org/collab-maint/can-utils.git
cd can-utils
git-buildpackage
sudo dpkg -i ../can-utils_0.0.2+gitba9b189-1_i386.deb
</shell>

Have the man pages been removed intentionally from can-utils in the transition 
from Berlios to gitorious? For the moment the packages don't include the 
manpages therefore.


* As we are needing Debian packages for ISO-TP and it is not yet in the 
mainline kernel AFAIK, I have also created a package with can-bcm.ko, can-
isotp.ko, can.ko and can-raw.ko. Please correct me, if this is already on the 
way into the mainline kernel. (gitorious gives me lots of 500's for commit 
overview, etc.) Once it has landed there, this package is not needed anymore.

gitweb of can-modules:
http://anonscm.debian.org/gitweb/?p=collab-maint/can-modules.git;a=summary

Procedure:
<shell>
git clone git://anonscm.debian.org/collab-maint/can-modules.git
cd can-modules
git-buildpackage
sudo dpkg -i ../can-modules_0.0.2+git6b92067-1_all.deb
sudo m-a a-i -t can-modules
</shell>

Feedback on the packages is appreciated.

BR,
Markus

------------------------------------------------
| Dipl.-Ing. Markus Becker
| Communication Networks
| TZI - Center for Computing Technologies
| University Bremen
| Germany
------------------------------------------------
| web: http://www.comnets.uni-bremen.de/~mab/
| mailto: mab@comnets.uni-bremen.de
| telephone: +49 421 218 62379
| building: NW1 room: N2260
------------------------------------------------




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568303; Package wnpp. (Sat, 11 Jan 2014 16:45:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sat, 11 Jan 2014 16:45:10 GMT) Full text and rfc822 format available.

Message #25 received at 568303@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: mab@comnets.uni-bremen.de
Cc: 568303@bugs.debian.org
Subject: can-utils
Date: Sat, 11 Jan 2014 20:34:57 +0400
Hello Markus,

I'd like to comaintain can-utils package if you dont mind.
I'm going to get your package from collab-maint git, update to latest
upstream sources, fix any packaging issues I'll find and finally upload
into archive.

Please contact me if you have something to say about it.

Cheers, Alexander.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568303; Package wnpp. (Sun, 12 Jan 2014 15:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Markus Becker <mab@comnets.uni-bremen.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Sun, 12 Jan 2014 15:00:04 GMT) Full text and rfc822 format available.

Message #30 received at 568303@bugs.debian.org (full text, mbox):

From: Markus Becker <mab@comnets.uni-bremen.de>
To: Alexander GQ Gerasiov <gq@cs.msu.su>
Cc: 568303@bugs.debian.org
Subject: Re: can-utils
Date: Sun, 12 Jan 2014 15:48:51 +0100
On Saturday 11 January 2014 20:34:57 Alexander GQ Gerasiov wrote:
> Hello Markus,
> 
> I'd like to comaintain can-utils package if you dont mind.
> I'm going to get your package from collab-maint git, update to latest
> upstream sources, fix any packaging issues I'll find and finally upload
> into archive.
> 
> Please contact me if you have something to say about it.

Please go ahead. I am currently not working on it and it seems I won't have 
time for it in the next months.

Markus

> Cheers, Alexander.




Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568303; Package wnpp. (Wed, 15 Jan 2014 16:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 16:03:04 GMT) Full text and rfc822 format available.

Message #35 received at 568303@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: Markus Becker <mab@comnets.uni-bremen.de>
Cc: Yegor Yefremov <yegorslists@googlemail.com>, 568303@bugs.debian.org
Subject: Re: can-utils Debian package
Date: Wed, 15 Jan 2014 20:02:07 +0400
Wed, 15 Jan 2014 15:03:47 +0100
Markus Becker <mab@comnets.uni-bremen.de> wrote:

> On Wednesday 15 January 2014 12:40:52 you wrote:
> > Hi Markus,
> > 
> > I've notice some progress on the issue:
> > 
> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568303
> > 
> > If Alexander won't post anything to this bug, where can I find the
> > package archives, he was talking about?
> 
> He was talking about collab-maint:
> 
> http://anonscm.debian.org/gitweb/?p=collab-maint/can-modules.git;a=summary
> http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
> 
> Anyone can join collab-maint, you don't need to be Debian developer.
> It would be good if you two coordinate. CCing Alexander therefore.

Hi, guys.

I'm in heavy reformatting package from the link above. (Only can-utils,
cause I use vanilla kernel's modules.)

Right now I've asked my college to make clean-room rewrite of some
lines in slcand.c, because it has licensing issues. (Mix of GPL and
GFDL licensed code.)

I think I'll do an upload this week or the next one. If you have any
ideas or want to join packaging on alioth, you're welcome. But please
contact me prior any work, because current version on alioth is very
different from one I'm working on. (And because of many changes I don't
see a reason to upload broken state into git repo right now.)

PS Yegor, you can also contact me privately in Russian if you want to.

-- 
Regards.



Changed Bug title to 'ITP: can-utils -- CAN (Controller Area Network) utilities based on Socket-CAN' from 'RFP: can-utils -- CAN (Controller Area Network) utilities based on Socket-CAN' Request was from Alexander GQ Gerasiov <gq@debian.org> to control@bugs.debian.org. (Wed, 15 Jan 2014 16:15:07 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#568303; Package wnpp. (Wed, 15 Jan 2014 20:12:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Yegor Yefremov <yegorslists@googlemail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 15 Jan 2014 20:12:10 GMT) Full text and rfc822 format available.

Message #42 received at 568303@bugs.debian.org (full text, mbox):

From: Yegor Yefremov <yegorslists@googlemail.com>
To: Alexander GQ Gerasiov <gq@cs.msu.su>
Cc: Markus Becker <mab@comnets.uni-bremen.de>, 568303@bugs.debian.org
Subject: Re: can-utils Debian package
Date: Wed, 15 Jan 2014 21:08:45 +0100
Hi Alexander,

there is work in progress to clean up licensing stuff:
http://comments.gmane.org/gmane.linux.can/4601

slcand is fixed with this patch: http://permalink.gmane.org/gmane.linux.can/4587

I hope the patches will be committed soon.

It would be great if libsocketcan could be packaged too:
http://www.pengutronix.de/software/libsocketcan/download/ This is git
repo with license file:
http://git.pengutronix.de/?p=tools/libsocketcan.git

Yegor

On Wed, Jan 15, 2014 at 5:02 PM, Alexander GQ Gerasiov <gq@cs.msu.su> wrote:
>
> Wed, 15 Jan 2014 15:03:47 +0100
> Markus Becker <mab@comnets.uni-bremen.de> wrote:
>
>> On Wednesday 15 January 2014 12:40:52 you wrote:
>> > Hi Markus,
>> >
>> > I've notice some progress on the issue:
>> >
>> > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568303
>> >
>> > If Alexander won't post anything to this bug, where can I find the
>> > package archives, he was talking about?
>>
>> He was talking about collab-maint:
>>
>> http://anonscm.debian.org/gitweb/?p=collab-maint/can-modules.git;a=summary
>> http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
>>
>> Anyone can join collab-maint, you don't need to be Debian developer.
>> It would be good if you two coordinate. CCing Alexander therefore.
>
> Hi, guys.
>
> I'm in heavy reformatting package from the link above. (Only can-utils,
> cause I use vanilla kernel's modules.)
>
> Right now I've asked my college to make clean-room rewrite of some
> lines in slcand.c, because it has licensing issues. (Mix of GPL and
> GFDL licensed code.)
>
> I think I'll do an upload this week or the next one. If you have any
> ideas or want to join packaging on alioth, you're welcome. But please
> contact me prior any work, because current version on alioth is very
> different from one I'm working on. (And because of many changes I don't
> see a reason to upload broken state into git repo right now.)
>
> PS Yegor, you can also contact me privately in Russian if you want to.
>
> --
> Regards.



Owner recorded as Alexander GQ Gerasiov <gq@debian.org>. Request was from Mònica Ramírez Arceda <monica@debian.org> to control@bugs.debian.org. (Mon, 20 Jan 2014 06:57:12 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Thu, 23 Jan 2014 19:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Thu, 23 Jan 2014 19:00:04 GMT) Full text and rfc822 format available.

Message #49 received at 568303@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Alexander GQ Gerasiov <gq@cs.msu.su>, 568303@bugs.debian.org
Cc: Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>
Subject: Re: Bug#568303: can-utils Debian package
Date: Thu, 23 Jan 2014 19:39:51 +0100
Hello Alexander,

On Wed, Jan 15, 2014 at 08:02:07PM +0400, Alexander GQ Gerasiov wrote:
> > On Wednesday 15 January 2014 12:40:52 you wrote:
> > > I've notice some progress on the issue:
> > > 
> > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568303
> > > 
> > > If Alexander won't post anything to this bug, where can I find the
> > > package archives, he was talking about?
> > 
> > He was talking about collab-maint:
> > 
> > http://anonscm.debian.org/gitweb/?p=collab-maint/can-modules.git;a=summary
> > http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
> > 
> > Anyone can join collab-maint, you don't need to be Debian developer.
> > It would be good if you two coordinate. CCing Alexander therefore.
> 
> I'm in heavy reformatting package from the link above. (Only can-utils,
> cause I use vanilla kernel's modules.)
I started creating a debian package from scratch, too, before being
aware of this bug. My plan was to sent the ITP bug once the package is
ready together with an RFS (as I'm only DM).
 
> Right now I've asked my college to make clean-room rewrite of some
> lines in slcand.c, because it has licensing issues. (Mix of GPL and
> GFDL licensed code.)
This is resolved upstream in commit
393a91c7d8f6 (slcand: reimplement daemonize routine).

> I think I'll do an upload this week or the next one. If you have any
> ideas or want to join packaging on alioth, you're welcome. But please
> contact me prior any work, because current version on alioth is very
> different from one I'm working on. (And because of many changes I don't
> see a reason to upload broken state into git repo right now.)
I'll rebase my packaging stuff, fixup for the latest changes and will
let you know. Maybe we can work together then and pick the best things
from both approaches.

Best regards
Uwe



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Thu, 20 Feb 2014 09:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Thu, 20 Feb 2014 09:54:05 GMT) Full text and rfc822 format available.

Message #54 received at 568303@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Alexander GQ Gerasiov <gq@cs.msu.su>, 568303@bugs.debian.org
Cc: Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Thu, 20 Feb 2014 10:51:31 +0100
Hello Alexander, hello *,

On Thu, Jan 23, 2014 at 07:39:51PM +0100, Uwe Kleine-König wrote:
> On Wed, Jan 15, 2014 at 08:02:07PM +0400, Alexander GQ Gerasiov wrote:
> > > On Wednesday 15 January 2014 12:40:52 you wrote:
> > > > I've notice some progress on the issue:
> > > > 
> > > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568303
> > > > 
> > > > If Alexander won't post anything to this bug, where can I find the
> > > > package archives, he was talking about?
> > > 
> > > He was talking about collab-maint:
> > > 
> > > http://anonscm.debian.org/gitweb/?p=collab-maint/can-modules.git;a=summary
> > > http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
> > > 
> > > Anyone can join collab-maint, you don't need to be Debian developer.
> > > It would be good if you two coordinate. CCing Alexander therefore.
> > 
> > I'm in heavy reformatting package from the link above. (Only can-utils,
> > cause I use vanilla kernel's modules.)
> I started creating a debian package from scratch, too, before being
> aware of this bug. My plan was to sent the ITP bug once the package is
> ready together with an RFS (as I'm only DM).
>  
> > Right now I've asked my college to make clean-room rewrite of some
> > lines in slcand.c, because it has licensing issues. (Mix of GPL and
> > GFDL licensed code.)
> This is resolved upstream in commit
> 393a91c7d8f6 (slcand: reimplement daemonize routine).
> 
> > I think I'll do an upload this week or the next one. If you have any
> > ideas or want to join packaging on alioth, you're welcome. But please
> > contact me prior any work, because current version on alioth is very
> > different from one I'm working on. (And because of many changes I don't
> > see a reason to upload broken state into git repo right now.)
> I'll rebase my packaging stuff, fixup for the latest changes and will
> let you know. Maybe we can work together then and pick the best things
> from both approaches.
I finished my packaging stuff nearly a month ago and contacted Alexander
by private mail without response so far. My efforts are available at

	http://git.pengutronix.de/?p=ukl/can-utils.git debian/sid

I'd like to get forward here. @Alexander: Maybe you can provide me with
the work you did already, then I'll merge our approaches. Are you still
interested in co-maintainance of can-utils? If not, are you OK when I
take ownership of this bug and start looking for a sponsor?

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Thu, 20 Feb 2014 13:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Thu, 20 Feb 2014 13:39:08 GMT) Full text and rfc822 format available.

Message #59 received at 568303@bugs.debian.org (full text, mbox):

From: Alexander Gerasiov <gq@cs.msu.su>
To: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, <568303@bugs.debian.org>
Cc: Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, <linux-can@vger.kernel.org>, <debian-devel@lists.debian.org>
Subject: Re: Bug#568303: can-utils Debian package
Date: Thu, 20 Feb 2014 17:30:05 +0400
Sorry guys. I'm totally busy with other tasks last month :-(. As I remember 
your package is quite ready for upload, so I'll do it tomorrow (without my 
changes, just add myself as an uploader if you don't mind). Ok?


On February 20, 2014 1:52:19 PM Uwe Kleine-König 
<u.kleine-koenig@pengutronix.de> wrote:

> Hello Alexander, hello *,
>
> On Thu, Jan 23, 2014 at 07:39:51PM +0100, Uwe Kleine-König wrote:
> > On Wed, Jan 15, 2014 at 08:02:07PM +0400, Alexander GQ Gerasiov wrote:
> > > > On Wednesday 15 January 2014 12:40:52 you wrote:
> > > > > I've notice some progress on the issue:
> > > > > > > > http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=568303
> > > > > > > > If Alexander won't post anything to this bug, where can I 
> find the
> > > > > package archives, he was talking about?
> > > > > > He was talking about collab-maint:
> > > > > > 
> http://anonscm.debian.org/gitweb/?p=collab-maint/can-modules.git;a=summary
> > > > http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=summary
> > > > > > Anyone can join collab-maint, you don't need to be Debian developer.
> > > > It would be good if you two coordinate. CCing Alexander therefore.
> > > > I'm in heavy reformatting package from the link above. (Only can-utils,
> > > cause I use vanilla kernel's modules.)
> > I started creating a debian package from scratch, too, before being
> > aware of this bug. My plan was to sent the ITP bug once the package is
> > ready together with an RFS (as I'm only DM).
> > > Right now I've asked my college to make clean-room rewrite of some
> > > lines in slcand.c, because it has licensing issues. (Mix of GPL and
> > > GFDL licensed code.)
> > This is resolved upstream in commit
> > 393a91c7d8f6 (slcand: reimplement daemonize routine).
> > > I think I'll do an upload this week or the next one. If you have any
> > > ideas or want to join packaging on alioth, you're welcome. But please
> > > contact me prior any work, because current version on alioth is very
> > > different from one I'm working on. (And because of many changes I don't
> > > see a reason to upload broken state into git repo right now.)
> > I'll rebase my packaging stuff, fixup for the latest changes and will
> > let you know. Maybe we can work together then and pick the best things
> > from both approaches.
> I finished my packaging stuff nearly a month ago and contacted Alexander
> by private mail without response so far. My efforts are available at
>
> 	http://git.pengutronix.de/?p=ukl/can-utils.git debian/sid
>
> I'd like to get forward here. @Alexander: Maybe you can provide me with
> the work you did already, then I'll merge our approaches. Are you still
> interested in co-maintainance of can-utils? If not, are you OK when I
> take ownership of this bug and start looking for a sponsor?
>
> Best regards
> Uwe
>
> --
> Pengutronix e.K.                           | Uwe Kleine-König            |
> Industrial Linux Solutions                 | http://www.pengutronix.de/  |





Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Thu, 20 Feb 2014 14:42:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Thu, 20 Feb 2014 14:42:04 GMT) Full text and rfc822 format available.

Message #64 received at 568303@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Alexander Gerasiov <gq@cs.msu.su>
Cc: 568303@bugs.debian.org, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Thu, 20 Feb 2014 15:39:17 +0100
Hello Alexander,

On Thu, Feb 20, 2014 at 05:30:05PM +0400, Alexander Gerasiov wrote:
> Sorry guys. I'm totally busy with other tasks last month :-(. As I
> remember your package is quite ready for upload, so I'll do it
> tomorrow (without my changes, just add myself as an uploader if you
> don't mind). Ok?
I absolutely don't mind, after all I need some people knowing my work
when I want to become a DD :-)

If you still consider it useful to show me your work on packaging
can-utils, don't hesitiate to send it to me. Also it probably makes
sense to move the repository to collab-maint.

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Mon, 24 Feb 2014 06:48:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Mon, 24 Feb 2014 06:48:04 GMT) Full text and rfc822 format available.

Message #69 received at 568303@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: 568303@bugs.debian.org
Cc: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, <linux-can@vger.kernel.org>, <debian-devel@lists.debian.org>
Subject: Re: Bug#568303: can-utils Debian package
Date: Mon, 24 Feb 2014 10:44:48 +0400
Thu, 20 Feb 2014 17:30:05 +0400
Alexander Gerasiov <gq@cs.msu.su> wrote:

> Sorry guys. I'm totally busy with other tasks last month :-(. As I
> remember your package is quite ready for upload, so I'll do it
> tomorrow (without my changes, just add myself as an uploader if you
> don't mind). Ok?

As Uwe is worried about correctness I'd like to mention, that I did not
use his package as the base for last upload, but incorporated some of
lines he wrote into my package.

Package is in new queue right now and will be soon available in
unstable repository.

Thanks for your patience.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Mon, 24 Feb 2014 07:12:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Mon, 24 Feb 2014 07:12:04 GMT) Full text and rfc822 format available.

Message #74 received at 568303@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Alexander GQ Gerasiov <gq@cs.msu.su>
Cc: 568303@bugs.debian.org, Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Mon, 24 Feb 2014 08:08:25 +0100
Hello Alexander!

On Mon, Feb 24, 2014 at 10:44:48AM +0400, Alexander GQ Gerasiov wrote:
> Thu, 20 Feb 2014 17:30:05 +0400
> Alexander Gerasiov <gq@cs.msu.su> wrote:
> 
> > Sorry guys. I'm totally busy with other tasks last month :-(. As I
> > remember your package is quite ready for upload, so I'll do it
> > tomorrow (without my changes, just add myself as an uploader if you
> > don't mind). Ok?
> 
> As Uwe is worried about correctness I'd like to mention, that I did not
> use his package as the base for last upload, but incorporated some of
> lines he wrote into my package.

That doesn't sound plausible to me given the fact that you imported
his debian/rules file and commented out his overrride_dh_* statements
[1].

If you had incorporated some of his changes, you'd just have use the
default rules file from the template.

You should also have asked yourself why Uwe had added those overrides
and not just silently commented them out. If someone adds extra
overrides, he usually has very good reasons. You should have asked Uwe
about that.

The package currently also includes the debian/README.source template
and git-related files (.gitignore, gbp.conf).

As someone who is sponsoring very often and has some experience with
reviewing packages now, can-utils wouldn't have passed my quality
requirements in its current state.

I can therefore fully understand that Uwe is upset and I think it
would be best if you asked the FTP Masters to have the package set to
REJECT in NEW and get into touch with Uwe to coordinate improving the
package.

> Package is in new queue right now and will be soon available in
> unstable repository.

It's actually been set to not be reviewed before February 28th to be
able to discuss this matter first.

Cheers,

Adrian

> [1] http://anonscm.debian.org/gitweb/?p=collab-maint/can-utils.git;a=blob;f=debian/rules;h=cfd19c845d1fa085679931a9817e4cfd8b23c481;hb=9f50da4df75f5ea00620f94f01cf1205ef16fdc5

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Mon, 24 Feb 2014 08:27:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Mon, 24 Feb 2014 08:27:04 GMT) Full text and rfc822 format available.

Message #79 received at 568303@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: Alexander GQ Gerasiov <gq@cs.msu.su>, 568303@bugs.debian.org, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Mon, 24 Feb 2014 09:25:29 +0100
Hi Adrian,

On Mon, Feb 24, 2014 at 08:08:25AM +0100, John Paul Adrian Glaubitz wrote:
> On Mon, Feb 24, 2014 at 10:44:48AM +0400, Alexander GQ Gerasiov wrote:
> > Thu, 20 Feb 2014 17:30:05 +0400
> > Alexander Gerasiov <gq@cs.msu.su> wrote:
> > 
> > > Sorry guys. I'm totally busy with other tasks last month :-(. As I
> > > remember your package is quite ready for upload, so I'll do it
> > > tomorrow (without my changes, just add myself as an uploader if you
> > > don't mind). Ok?
> > 
> > As Uwe is worried about correctness I'd like to mention, that I did not
> > use his package as the base for last upload, but incorporated some of
> > lines he wrote into my package.
> 
> That doesn't sound plausible to me given the fact that you imported
> his debian/rules file and commented out his overrride_dh_* statements
> [1].
> 
> If you had incorporated some of his changes, you'd just have use the
> default rules file from the template.
> 
> You should also have asked yourself why Uwe had added those overrides
> and not just silently commented them out. If someone adds extra
> overrides, he usually has very good reasons. You should have asked Uwe
> about that.
This is wrong, the overrides are not from me. d/rules seems to be
Alexander's (well, or Joey Hess' and Craig Small's) work.

> > Package is in new queue right now and will be soon available in
> > unstable repository.
> 
> It's actually been set to not be reviewed before February 28th to be
> able to discuss this matter first.
I think the best will be when Alexander and I discuss the issue in
private. I don't see a need to pull that conflict into public.

Thanks
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Mon, 24 Feb 2014 09:03:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alexander GQ Gerasiov <gq@cs.msu.su>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Mon, 24 Feb 2014 09:03:05 GMT) Full text and rfc822 format available.

Message #84 received at 568303@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@cs.msu.su>
To: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 568303@bugs.debian.org, Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Mon, 24 Feb 2014 12:59:33 +0400
Mon, 24 Feb 2014 08:08:25 +0100
John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de> wrote:

> Hello Alexander!
> 
> On Mon, Feb 24, 2014 at 10:44:48AM +0400, Alexander GQ Gerasiov wrote:
> > Thu, 20 Feb 2014 17:30:05 +0400
> > Alexander Gerasiov <gq@cs.msu.su> wrote:
> > 
> > > Sorry guys. I'm totally busy with other tasks last month :-(. As I
> > > remember your package is quite ready for upload, so I'll do it
> > > tomorrow (without my changes, just add myself as an uploader if
> > > you don't mind). Ok?
> > 
> > As Uwe is worried about correctness I'd like to mention, that I did
> > not use his package as the base for last upload, but incorporated
> > some of lines he wrote into my package.
> 
> That doesn't sound plausible to me given the fact that you imported
> his debian/rules file and commented out his overrride_dh_* statements
> [1].
Unfortunately I missed to fixup pair of changes when build package,
that's why second revision was uploaded right after first.
You are talking about revision -1 which really had some issues.
Please comment on the last version available.

> 
> If you had incorporated some of his changes, you'd just have use the
> default rules file from the template.
> 
> You should also have asked yourself why Uwe had added those overrides
> and not just silently commented them out. If someone adds extra
> overrides, he usually has very good reasons. You should have asked Uwe
> about that.
I think you did not get clean with this or that's Uwe who mislead you.

Those commented out overrides were left in rules file from my previous
experiments, and not needed anymore. And they have nothing with Uwe's
package, I believe.

I can count all changes I took from his work:
Arch: linux-any (totally forget that SocketCAN is Linux specific)
Several strings in description field.

And that's all. =\

> 
> The package currently also includes the debian/README.source template
> and git-related files (.gitignore, gbp.conf).
Template README.source was also removed in -2 revision.
As for .gitignore and gbp.conf, this package is maintained under git
and git-buildpackage and I see no reason, why thees files should not be
included in debian/
I think some gbp related info should goes to README.source. One day
I'll write it.

> 
> As someone who is sponsoring very often and has some experience with
> reviewing packages now, can-utils wouldn't have passed my quality
> requirements in its current state.
I could not agree with you if we speak about revision -2.

> 
> I can therefore fully understand that Uwe is upset and I think it
> would be best if you asked the FTP Masters to have the package set to
> REJECT in NEW and get into touch with Uwe to coordinate improving the
> package.
[spend 15 minutes, explaining situation, but as Uwe prefer to continue
privately, I removed it]

Conclusion:
Looks like Uwe decided that I modified his package, removed him from
Maintainer and broke all around. And he started offense instead of
discussion.

Ok, I disagree, but understand why did he react like this. I think it's
possible to discuss this privately.

> 
> > Package is in new queue right now and will be soon available in
> > unstable repository.
> 
> It's actually been set to not be reviewed before February 28th to be
> able to discuss this matter first.
Well, I remember time when packages were held in new for 2-3 months =)

-- 
Regards, Alexander



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Mon, 24 Feb 2014 09:18:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Mon, 24 Feb 2014 09:18:04 GMT) Full text and rfc822 format available.

Message #89 received at 568303@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
Cc: Alexander GQ Gerasiov <gq@cs.msu.su>, 568303@bugs.debian.org, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Mon, 24 Feb 2014 10:18:44 +0100
On 02/24/2014 09:25 AM, Uwe Kleine-König wrote:
>> You should also have asked yourself why Uwe had added those overrides
>> and not just silently commented them out. If someone adds extra
>> overrides, he usually has very good reasons. You should have asked Uwe
>> about that.
> This is wrong, the overrides are not from me. d/rules seems to be
> Alexander's (well, or Joey Hess' and Craig Small's) work.

Ok, then I misunderstood your concerns. I apologize to Alexander
regarding this and take everything back ;).

>>> Package is in new queue right now and will be soon available in
>>> unstable repository.
>>
>> It's actually been set to not be reviewed before February 28th to be
>> able to discuss this matter first.
> I think the best will be when Alexander and I discuss the issue in
> private. I don't see a need to pull that conflict into public.

I agree. Still, you should post the results here.

Cheers,

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Mon, 24 Feb 2014 09:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Mon, 24 Feb 2014 09:30:04 GMT) Full text and rfc822 format available.

Message #94 received at 568303@bugs.debian.org (full text, mbox):

From: John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
To: Alexander GQ Gerasiov <gq@cs.msu.su>
Cc: 568303@bugs.debian.org, Uwe Kleine-König <u.kleine-koenig@pengutronix.de>, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Mon, 24 Feb 2014 10:31:27 +0100
Hi Alexander!

On 02/24/2014 09:59 AM, Alexander GQ Gerasiov wrote:
> Unfortunately I missed to fixup pair of changes when build package,
> that's why second revision was uploaded right after first.
> You are talking about revision -1 which really had some issues.
> Please comment on the last version available.

Sure, I can have a look at the second revision. But you could also
just asked the FTP team to set the package on REJECT to be able
to sort out the issues, then do a clean upload.

I usually try to keep a clean package history.

>> If you had incorporated some of his changes, you'd just have use the
>> default rules file from the template.
>>
>> You should also have asked yourself why Uwe had added those overrides
>> and not just silently commented them out. If someone adds extra
>> overrides, he usually has very good reasons. You should have asked Uwe
>> about that.
> I think you did not get clean with this or that's Uwe who mislead you.

Yep. I misunderstood Uwe. From his first comments it appeared to me
that exactly that had happened. So, I apologize to you Alexander
and take my statements back.

> Those commented out overrides were left in rules file from my previous
> experiments, and not needed anymore. And they have nothing with Uwe's
> package, I believe.

Alright, thanks for the explanation.

> I can count all changes I took from his work:
> Arch: linux-any (totally forget that SocketCAN is Linux specific)
> Several strings in description field.
> 
> And that's all. =\

Ok, it appeared to me that the situation was the complete opposite of
that, i.e. you took Uwe's work and put your name onto it.

Thanks for the clarification.

>>
>> The package currently also includes the debian/README.source template
>> and git-related files (.gitignore, gbp.conf).
> Template README.source was also removed in -2 revision.

Good!

> As for .gitignore and gbp.conf, this package is maintained under git
> and git-buildpackage and I see no reason, why thees files should not be
> included in debian/

True. I am using gbp as well and I completely forgot about that. The
files shouldn't pop up in the actual package.

> I think some gbp related info should goes to README.source. One day
> I'll write it.

Good idea!

>>
>> As someone who is sponsoring very often and has some experience with
>> reviewing packages now, can-utils wouldn't have passed my quality
>> requirements in its current state.
> I could not agree with you if we speak about revision -2.

Well, unless you have fixed the copyright issues that Uwe has
mentioned, you will get a REJECT with absolute certainty.

Did you fix the copyright information? Are the sources from
Volkswagen actually covered by a free license?

> Conclusion:
> Looks like Uwe decided that I modified his package, removed him from
> Maintainer and broke all around. And he started offense instead of
> discussion.

Well, you see what poor communication leads to. When you decide
to let him join as a comaintainer, you should communicate such
changes, especially before doing uploads.

>>> Package is in new queue right now and will be soon available in
>>> unstable repository.
>>
>> It's actually been set to not be reviewed before February 28th to be
>> able to discuss this matter first.
> Well, I remember time when packages were held in new for 2-3 months =)

They still are. Depends on the package, Look at zfs-utils which has
been in NEW for 6 months now. Obviously no one dares to touch it.

Adrian

-- 
 .''`.  John Paul Adrian Glaubitz
: :' :  Debian Developer - glaubitz@debian.org
`. `'   Freie Universitaet Berlin - glaubitz@physik.fu-berlin.de
  `-    GPG: 62FF 8A75 84E0 2956 9546  0006 7426 3B37 F5B5 F913



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>:
Bug#568303; Package wnpp. (Mon, 24 Feb 2014 10:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Uwe Kleine-König <u.kleine-koenig@pengutronix.de>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Alexander GQ Gerasiov <gq@debian.org>. (Mon, 24 Feb 2014 10:09:04 GMT) Full text and rfc822 format available.

Message #99 received at 568303@bugs.debian.org (full text, mbox):

From: Uwe Kleine-König <u.kleine-koenig@pengutronix.de>
To: Alexander GQ Gerasiov <gq@cs.msu.su>, John Paul Adrian Glaubitz <glaubitz@physik.fu-berlin.de>
Cc: 568303@bugs.debian.org, Markus Becker <mab@comnets.uni-bremen.de>, Yegor Yefremov <yegorslists@googlemail.com>, linux-can@vger.kernel.org, debian-devel@lists.debian.org
Subject: Re: Bug#568303: can-utils Debian package
Date: Mon, 24 Feb 2014 11:04:20 +0100
Hi Alexander, hi Adrian,

On Mon, Feb 24, 2014 at 10:31:27AM +0100, John Paul Adrian Glaubitz wrote:
> On 02/24/2014 09:59 AM, Alexander GQ Gerasiov wrote:
> > I think you did not get clean with this or that's Uwe who mislead you.
> 
> Yep. I misunderstood Uwe. From his first comments it appeared to me
> that exactly that had happened. So, I apologize to you Alexander
> and take my statements back.
I also apologize to both of you, Alexander and Adrian. I wailed to
Adrian on irc that I'm unhappy with the package as is and bounced some
mails to him. I think I'm the major reason that Adrian got the details
wrong. Sorry. It's not always easy to communicate things properly on
irc, still more when you're peeved.

> > Those commented out overrides were left in rules file from my previous
> > experiments, and not needed anymore. And they have nothing with Uwe's
> > package, I believe.
> 
> Alright, thanks for the explanation.
> 
> > I can count all changes I took from his work:
> > Arch: linux-any (totally forget that SocketCAN is Linux specific)
> > Several strings in description field.
> > 
> > And that's all. =\
> 
> Ok, it appeared to me that the situation was the complete opposite of
> that, i.e. you took Uwe's work and put your name onto it.
That's how it felt to me, but technically that's wrong and most parts
were done by Alexander.

Best regards
Uwe

-- 
Pengutronix e.K.                           | Uwe Kleine-König            |
Industrial Linux Solutions                 | http://www.pengutronix.de/  |



Reply sent to Alexander GQ Gerasiov <gq@debian.org>:
You have taken responsibility. (Fri, 07 Mar 2014 12:12:14 GMT) Full text and rfc822 format available.

Notification sent to Benedikt Spranger <b.spranger@linutronix.de> (by way of Benedikt Spranger <b.spranger@linutronix.de>):
Bug acknowledged by developer. (Fri, 07 Mar 2014 12:12:14 GMT) Full text and rfc822 format available.

Message #104 received at 568303-close@bugs.debian.org (full text, mbox):

From: Alexander GQ Gerasiov <gq@debian.org>
To: 568303-close@bugs.debian.org
Subject: Bug#568303: fixed in can-utils 0.0+git20140227-1
Date: Fri, 07 Mar 2014 12:00:06 +0000
Source: can-utils
Source-Version: 0.0+git20140227-1

We believe that the bug you reported is fixed in the latest version of
can-utils, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 568303@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Alexander GQ Gerasiov <gq@debian.org> (supplier of updated can-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 05 Mar 2014 18:12:33 +0400
Source: can-utils
Binary: can-utils
Architecture: source i386
Version: 0.0+git20140227-1
Distribution: unstable
Urgency: low
Maintainer: Alexander GQ Gerasiov <gq@debian.org>
Changed-By: Alexander GQ Gerasiov <gq@debian.org>
Description: 
 can-utils  - SocketCAN userspace utilities and tools
Closes: 568303
Changes: 
 can-utils (0.0+git20140227-1) unstable; urgency=low
 .
   * Initial package release (Closes: #568303).
     Thanks to Markus Becker <mab@comnets.uni-bremen.de> and
     Uwe Kleine-König <u.kleine-koenig@pengutronix.de> for contribution.
Checksums-Sha1: 
 49d2f7aff16b49cfe9404c6099efde6a44864085 1574 can-utils_0.0+git20140227-1.dsc
 94ccba793aac92ee93a9a5ca74d0d910a95d1473 59936 can-utils_0.0+git20140227.orig.tar.xz
 68b73d185839cb44f1571662bf2434dd77889682 2680 can-utils_0.0+git20140227-1.debian.tar.xz
 e3a06d3515bc07cbc7fde123d87176ac355f88fa 68142 can-utils_0.0+git20140227-1_i386.deb
Checksums-Sha256: 
 4b23ca6c71c573dcc3a28b4dbfe8e02a538dd8d567ff2cf9a33ffe8450553df9 1574 can-utils_0.0+git20140227-1.dsc
 f18fdf5fccdc4d6a9996e50d09222fbee98839e805eb451252338801b642a064 59936 can-utils_0.0+git20140227.orig.tar.xz
 e33bd37c4150d0cb25a2182a9b825b83fd1ba801c5adda9915befe6cb4132529 2680 can-utils_0.0+git20140227-1.debian.tar.xz
 d29955c67248a1ab3743ce7a67190fe2befd045648815fe98f360340cd84724b 68142 can-utils_0.0+git20140227-1_i386.deb
Files: 
 8741840b3339168d8deecce4be641e8e 1574 net optional can-utils_0.0+git20140227-1.dsc
 77e9ada6edd781777e4aaa1af71073d5 59936 net optional can-utils_0.0+git20140227.orig.tar.xz
 cedeaa8cebf0c852b5fe6d702f2e6d17 2680 net optional can-utils_0.0+git20140227-1.debian.tar.xz
 830767759bcf37e7341e841412d875b1 68142 net optional can-utils_0.0+git20140227-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1

iQEcBAEBCAAGBQJTF0HzAAoJEMqH6egqrDPxTz4H/2i2I6+LY6Mk0xaTG8ncrpBg
76aodO32/+KZNvv13AYSoy/88hAXxqWYOjnwziO7pIg2Dki7hL+dVEtFrxDuRs/r
4hePzJtWg3BAMkN+K0pN/0Oj0y/QzngvUeXjEF+6qNUqeQjZj4zPh8NEzG8nIjbZ
89ZJ3aH52arP69KMOLi3wK39XYuZkbZlLTh2iBkwumm5qO+smyFOewJpxIab6UXF
uhcqlMx7NxwjCE3N3FzXs7pWPBoR6pzpoK7Ub6ycH1wr6r2pgeREbUYP0ZcI79cR
9LUvzgOlnb1o/HU3s5kw66u6lo1cuByrBDC6FfvEPT9ZRf52ZNZ3SY0NIyi8Hms=
=BE81
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 05 Apr 2014 07:25:24 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 12:33:10 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.